sqoop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Szabolcs Vasas <vasas.szabo...@gmail.com>
Subject Review Request 68277: Fix hive-exec dependency issues in Gradle
Date Thu, 09 Aug 2018 11:49:47 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/68277/
-----------------------------------------------------------

Review request for Sqoop.


Bugs: SQOOP-3360
    https://issues.apache.org/jira/browse/SQOOP-3360


Repository: sqoop-trunk


Description
-------

It turned out during making SQOOP-3345 work with Gradle that there are issues with the dependency
handling which cause problems with Gradle. Root cause of the problem seems to be the hive-exec
dependency which also contains its own dependencies pulling in incorrect libs and versions
runtime. This has to be cleaned up via better dependency management.


Diffs
-----

  build.gradle e2c4479d35cbf97c51de0d6a9c5192284d934dc9 
  gradle.properties 2d6c259ff267b74410247d574af28c35d62a72e1 
  ivy.xml 796ef70ae38f254169587ce7d3401646f4a80a3a 
  ivy/libraries.properties d679b125f0e2a4f3c3c25c83a2640c3e713e6079 


Diff: https://reviews.apache.org/r/68277/diff/1/


Testing
-------

Ran unit and third party tests with both Ant and Gradle.


Thanks,

Szabolcs Vasas


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message